> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 表クエリ統計バッチ



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /table/query_stats_batch
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /table/query_stats_batch:
    post:
      tags:
        - Tables
      summary: 表クエリ統計バッチ
      operationId: table_query_stats_batch_table_query_stats_batch_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TableQueryStatsBatchReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableQueryStatsBatchRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    TableQueryStatsBatchReq:
      additionalProperties: false
      properties:
        digests:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: []
          description: クエリ対象の表のダイジェスト一覧
          examples:
            - aonareimsvtl13apimtalpa4435rpmgnaemrpgmarltarstaorsnte134avrims
            - smirva431etnsroatsratlrampgrmeangmpr5344aplatmipa31ltvsmiераnoa
          title: Digests
        include_storage_size:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          description: true の場合、`storage_size_bytes` 列が返されます。
          title: Include Storage Size
        project_id:
          description: プロジェクトのID
          examples:
            - my_entity/my_project
          title: Project Id
          type: string
      required:
        - project_id
      title: TableQueryStatsBatchReq
      type: object
    TableQueryStatsBatchRes:
      properties:
        tables:
          items:
            $ref: '#/components/schemas/TableStatsRow'
          title: Tables
          type: array
      required:
        - tables
      title: TableQueryStatsBatchRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TableStatsRow:
      properties:
        count:
          title: Count
          type: integer
        digest:
          title: Digest
          type: string
        storage_size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Storage Size Bytes
      required:
        - count
        - digest
      title: TableStatsRow
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````